Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class SegmentConcatenationReader

    java.lang.Object
      com.servingxml.components.flatfile.recordtype.SegmentConcatenationReader

All Implemented Interfaces:
  FlatRecordReader

    public class SegmentConcatenationReader

extends java.lang.Object
implements FlatRecordReader

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.flatfile.FlatRecordReader
`FlatRecordReader.NullFlatRecordReader`

Field Summary

Fields inherited from interface com.servingxml.components.flatfile.FlatRecordReader
`NULL`

Constructor Summary
`SegmentConcatenationReader(GroupRecognizer groupRecognizer, FlatRecordReader sdwRecordReader, boolean suppressRDW, FlatRecordReader dataRecordReader, IntegerSubstitutionExpr segmentLengthExpr)`

Method Summary
`int` | `calculateFixedRecordLength(Record parameters, Record currentSegment)`
`void` | `endReadRecords(ServiceContext context, Flow flow, DelimiterExtractor[] recordDelimiters, int recordDelimiterStart, int recordDelimiterCount, RecordReceiver receiver)`
`void` | `readRecord(ServiceContext context, Flow flow, RecordInput segmentInput, DelimiterExtractor[] recordDelimiters, int recordDelimiterStart, int recordDelimiterCount, RecordReceiver receiver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegmentConcatenationReader

    public SegmentConcatenationReader(GroupRecognizer groupRecognizer,
                                      FlatRecordReader sdwRecordReader,
                                      boolean suppressRDW,
                                      FlatRecordReader dataRecordReader,
                                      IntegerSubstitutionExpr segmentLengthExpr)

Method Detail

### readRecord

    public void readRecord(ServiceContext context,
                           Flow flow,
                           RecordInput segmentInput,
                           DelimiterExtractor[] recordDelimiters,
                           int recordDelimiterStart,
                           int recordDelimiterCount,
                           RecordReceiver receiver)

  Specified by:
    `readRecord` in interface `FlatRecordReader`

### calculateFixedRecordLength

    public int calculateFixedRecordLength(Record parameters,
                                          Record currentSegment)

  Specified by:
    `calculateFixedRecordLength` in interface `FlatRecordReader`

### endReadRecords

    public void endReadRecords(ServiceContext context,
                               Flow flow,
                               DelimiterExtractor[] recordDelimiters,
                               int recordDelimiterStart,
                               int recordDelimiterCount,
                               RecordReceiver receiver)

  Specified by:
    `endReadRecords` in interface `FlatRecordReader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD